%define url_ver %(echo %{version} | cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from %{_libdir}/thunarx-3/.*\\.so

Summary:	A tag plugin for the Thunar File Manager
Name:		thunar-media-tags-plugin
Version:	0.4.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/thunar-plugins/thunar-media-tags-plugin
Source0:	https://archive.xfce.org/src/thunar-plugins/thunar-media-tags-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(thunarx-3)
BuildRequires:	pkgconfig(taglib_c)
Requires:	thunar >= 1.7.0

%description
The thunar-media-tags-plugin is a plugin for the Thunar File Manager,
which adds ID3/OGG tag support to the bulk rename dialog.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README*
%{_libdir}/thunarx-3/thunar-media-tags-plugin.so


%changelog
* Fri Oct 04 2024 daviddavid <daviddavid> 0.4.0-2.mga10
+ Revision: 2103277
- rebuild for new taglib 2.0.2

* Mon Feb 06 2023 wally <wally> 0.4.0-1.mga9
+ Revision: 1938844
- new version 0.4.0

* Tue Apr 05 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1844253
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1517421
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1301404
- Mageia 7 Mass Rebuild

* Fri Feb 16 2018 wally <wally> 0.3.0-1.mga7
+ Revision: 1201735
- new version 0.3.0
- switch to gtk3

* Sat Feb 06 2016 umeabot <umeabot> 0.2.1-5.mga6
+ Revision: 940829
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 740992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 689872
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 523621
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.2.1-1.mga4
+ Revision: 425370
- new version 0.2.1
- clean .spec
- imported package thunar-media-tags-plugin


* Sun Apr 08 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-2
+ Revision: 789809
- rebuild
- drop old stuff from spec file

* Sun Feb 19 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1
+ Revision: 777494
- fix file list
- Patch0: fix linking
- add exo-devel to buildrequires
- add buildrequires on intltool
- update to new version 0.2.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-11mdv2010.1
+ Revision: 543282
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.1.2-10mdv2010.0
+ Revision: 445422
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-9mdv2009.1
+ Revision: 349180
- rebuild whole xfce

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-8mdv2009.1
+ Revision: 294886
- rebuild for new Thunar  (Xfce4.6 beta1)

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.1.2-7mdv2009.0
+ Revision: 261534
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.1.2-6mdv2009.0
+ Revision: 254534
- rebuild

* Sat Feb 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-4mdv2008.1
+ Revision: 174082
- drop requires on taglib (#37929)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2008.1
+ Revision: 110639
- new license policy
- do not package COPYING and INSTALL files

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-2mdv2008.0
+ Revision: 33278
- drop __libtoolize
- spec file clean
- update url

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 30300
- new version


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.1-4mdv2007.0
+ Revision: 103177
- Rebuild for latest thunar

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - import thunar-media-tags-plugin-0.1.1-1mdv2007.0

* Fri Aug 04 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.1-1mdv2007.0
- 0.1.1 (bugfix release)
- update URL

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.0-2mdv2007.0
- rebuild for xfce-4.3.90.2

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.0-1mdv2007.0
- initial mandriva package

